public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Christoph Junghans (ottxor)" <ottxor@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in sys-libs/ncurses: ncurses-5.9-r3.ebuild ChangeLog
Date: Tue,  5 Aug 2014 16:09:27 +0000 (UTC)	[thread overview]
Message-ID: <20140805160928.2D6D82004E@flycatcher.gentoo.org> (raw)

ottxor      14/08/05 16:09:27

  Modified:             ncurses-5.9-r3.ebuild ChangeLog
  Log:
  added parts of the prefix changes (bug #519052)
  
  (Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key C2000586)

Revision  Changes    Path
1.17                 sys-libs/ncurses/ncurses-5.9-r3.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/ncurses/ncurses-5.9-r3.ebuild?rev=1.17&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/ncurses/ncurses-5.9-r3.ebuild?rev=1.17&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/ncurses/ncurses-5.9-r3.ebuild?r1=1.16&r2=1.17

Index: ncurses-5.9-r3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-libs/ncurses/ncurses-5.9-r3.ebuild,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -r1.16 -r1.17
--- ncurses-5.9-r3.ebuild	13 Jul 2014 19:30:57 -0000	1.16
+++ ncurses-5.9-r3.ebuild	5 Aug 2014 16:09:26 -0000	1.17
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-libs/ncurses/ncurses-5.9-r3.ebuild,v 1.16 2014/07/13 19:30:57 zlogene Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/ncurses/ncurses-5.9-r3.ebuild,v 1.17 2014/08/05 16:09:26 ottxor Exp $
 
 EAPI="4"
 inherit eutils flag-o-matic toolchain-funcs multilib-minimal
@@ -63,7 +63,7 @@
 
 multilib_src_configure() {
 	do_configure narrowc
-	use unicode && do_configure widec --enable-widec --includedir=/usr/include/ncursesw
+	use unicode && do_configure widec --enable-widec --includedir="${EPREFIX}"/usr/include/ncursesw
 }
 
 do_configure() {
@@ -77,7 +77,7 @@
 		# We need the basic terminfo files in /etc, bug #37026.  We will
 		# add '--with-terminfo-dirs' and then populate /etc/terminfo in
 		# src_install() ...
-		--with-terminfo-dirs="/etc/terminfo:/usr/share/terminfo"
+		--with-terminfo-dirs="${EPREFIX}/etc/terminfo:${EPREFIX}/usr/share/terminfo"
 
 		# Disabled until #245417 is sorted out.
 		#$(use_with berkdb hashed-db)
@@ -88,7 +88,7 @@
 		--enable-pc-files
 		--with-pkg-config="$(tc-getPKG_CONFIG)"
 		# This path is used to control where the .pc files are installed.
-		PKG_CONFIG_LIBDIR="/usr/$(get_libdir)/pkgconfig"
+		PKG_CONFIG_LIBDIR="${EPREFIX}/usr/$(get_libdir)/pkgconfig"
 
 		# Now the rest of the various standard flags.
 		--with-shared
@@ -183,8 +183,10 @@
 		$(usex unicode 'ncursesw' '') \
 		$(use tinfo && usex unicode 'tinfow' '') \
 		$(usev tinfo)
-	ln -sf libncurses.so "${D}"/usr/$(get_libdir)/libcurses.so || die
-	use static-libs || find "${D}"/usr/ -name '*.a' -a '!' -name '*curses++*.a' -delete
+	if ! tc-is-static-only ; then
+		ln -sf libncurses$(get_libname) "${ED}"/usr/$(get_libdir)/libcurses$(get_libname) || die
+	fi
+	use static-libs || find "${ED}"/usr/ -name '*.a' -a '!' -name '*curses++*.a' -delete
 
 	# Build fails to create this ...
 	dosym ../share/terminfo /usr/$(get_libdir)/terminfo
@@ -197,12 +199,12 @@
 		for x in ansi console dumb linux rxvt rxvt-unicode screen sun vt{52,100,102,200,220} \
 				 xterm xterm-color xterm-xfree86
 		do
-			local termfile=$(find "${D}"/usr/share/terminfo/ -name "${x}" 2>/dev/null)
+			local termfile=$(find "${ED}"/usr/share/terminfo/ -name "${x}" 2>/dev/null)
 			local basedir=$(basename $(dirname "${termfile}"))
 
 			if [[ -n ${termfile} ]] ; then
 				dodir /etc/terminfo/${basedir}
-				mv ${termfile} "${D}"/etc/terminfo/${basedir}/
+				mv ${termfile} "${ED}"/etc/terminfo/${basedir}/
 				dosym ../../../../etc/terminfo/${basedir}/${x} \
 					/usr/share/terminfo/${basedir}/${x}
 			fi
@@ -212,7 +214,7 @@
 	echo "CONFIG_PROTECT_MASK=\"/etc/terminfo\"" > "${T}"/50ncurses
 	doenvd "${T}"/50ncurses
 
-	use minimal && rm -r "${D}"/usr/share/terminfo*
+	use minimal && rm -r "${ED}"/usr/share/terminfo*
 	# Because ncurses5-config --terminfo returns the directory we keep it
 	keepdir /usr/share/terminfo #245374
 



1.230                sys-libs/ncurses/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/ncurses/ChangeLog?rev=1.230&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/ncurses/ChangeLog?rev=1.230&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/ncurses/ChangeLog?r1=1.229&r2=1.230

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-libs/ncurses/ChangeLog,v
retrieving revision 1.229
retrieving revision 1.230
diff -u -r1.229 -r1.230
--- ChangeLog	13 Jul 2014 19:30:57 -0000	1.229
+++ ChangeLog	5 Aug 2014 16:09:26 -0000	1.230
@@ -1,6 +1,9 @@
 # ChangeLog for sys-libs/ncurses
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-libs/ncurses/ChangeLog,v 1.229 2014/07/13 19:30:57 zlogene Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/ncurses/ChangeLog,v 1.230 2014/08/05 16:09:26 ottxor Exp $
+
+  05 Aug 2014; Christoph Junghans <ottxor@gentoo.org> ncurses-5.9-r3.ebuild:
+  added parts of the prefix changes (bug #519052)
 
   13 Jul 2014; Mikle Kolyada <zlogene@gentoo.org> ncurses-5.9-r3.ebuild:
   ppc/ppc64 stable wrt bug #507154





             reply	other threads:[~2014-08-05 16:09 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-08-05 16:09 Christoph Junghans (ottxor) [this message]
  -- strict thread matches above, loose matches on Subject: below --
2014-07-13 19:30 [gentoo-commits] gentoo-x86 commit in sys-libs/ncurses: ncurses-5.9-r3.ebuild ChangeLog Mikle Kolyada (zlogene)
2014-07-13 19:26 Mikle Kolyada (zlogene)
2014-07-13 19:24 Mikle Kolyada (zlogene)
2014-07-13 17:21 Thomas Alan Gall (tgall)
2014-06-08 16:25 Akinori Hattori (hattya)
2014-05-24 10:00 Markos Chandras (hwoarang)
2014-04-28 17:44 Michal Gorny (mgorny)
2014-04-21  8:04 Michal Gorny (mgorny)
2014-04-08  3:13 Mike Frysinger (vapier)
2013-04-28  0:56 Mike Frysinger (vapier)

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20140805160928.2D6D82004E@flycatcher.gentoo.org \
    --to=ottxor@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox